Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.code
Class SymbolCellEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          edu.stanford.smi.protegex.owl.ui.code.SymbolCellEditor

All Implemented Interfaces:
  SymbolEditorHandler, Serializable, CellEditor, TableCellEditor, TreeCellEditor

    public class SymbolCellEditor

extends AbstractCellEditor
implements TableCellEditor, TreeCellEditor, SymbolEditorHandler

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Sep 6, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`SymbolCellEditor(SymbolEditorComponent editorComponent)`

Method Summary
`void` | `cancelEditing()`
`Object` | `getCellEditorValue()`
`Component` | `getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)`
`Component` | `getTreeCellEditorComponent(JTree tree, Object value, boolean isSelected, boolean expanded, boolean leaf, int row)`
`boolean` | `isCellEditable(EventObject e)`
`void` | `stopEditing()`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, cancelCellEditing, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, cancelCellEditing, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Constructor Detail

### SymbolCellEditor

    public SymbolCellEditor(SymbolEditorComponent editorComponent)

Method Detail

### getCellEditorValue

    public Object getCellEditorValue()

  Specified by:
    `getCellEditorValue` in interface `CellEditor`

### isCellEditable

    public boolean isCellEditable(EventObject e)

  Specified by:
    `isCellEditable` in interface `CellEditor`
  Overrides:
    `isCellEditable` in class `AbstractCellEditor`

### getTableCellEditorComponent

    public Component getTableCellEditorComponent(JTable table,
                                                 Object value,
                                                 boolean isSelected,
                                                 int row,
                                                 int column)

  Specified by:
    `getTableCellEditorComponent` in interface `TableCellEditor`

### getTreeCellEditorComponent

    public Component getTreeCellEditorComponent(JTree tree,
                                                Object value,
                                                boolean isSelected,
                                                boolean expanded,
                                                boolean leaf,
                                                int row)

  Specified by:
    `getTreeCellEditorComponent` in interface `TreeCellEditor`

### stopEditing

    public void stopEditing()

  Specified by:
    `stopEditing` in interface `SymbolEditorHandler`

### cancelEditing

    public void cancelEditing()

  Specified by:
    `cancelEditing` in interface `SymbolEditorHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.